ClarisDrawGraphInternal::Zone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawGraphInternal::Zone Struct Reference

Internal: the generic structure used to store a zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::Zone:

## Public Types
enum | Type { T_Zone, T_Pict, T_Shape, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Connector }
| the list of types More...

## Public Member Functions
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
virtual Type | getType () const
| return the main type More...
virtual Type | getSubType () const
| return the subtype More...
virtual int | getNumData () const
| return the number of data to define this zone in the file More...
virtual void | print (std::ostream &) const
| print the data contains More...
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
virtual int | getZoneId () const
| returns the id of the reference zone More...

## Public Attributes
int | m_zoneType
| the zone type More...
int | m_flag
| the zone main flag More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<< More...

## Detailed Description

Internal: the generic structure used to store a zone of a ClarisDrawGraph.

## Member Enumeration Documentation

enum ClarisDrawGraphInternal::Zone::Type

the list of types

Enumerator
T_Zone |
T_Pict |
T_Shape |
T_Unknown |
T_Line |
T_Rect |
T_RectOval |
T_Oval |
T_Arc |
T_Poly |
T_Connector |

## Constructor & Destructor Documentation

ClarisDrawGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

ClarisDrawGraphInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

MWAWBox2f ClarisDrawGraphInternal::Zone::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

Referenced by ClarisDrawGraph::readShape(), and ClarisDrawGraph::sendShape().

virtual ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::Zone::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented in ClarisDrawGraphInternal::ZoneUnknown, ClarisDrawGraphInternal::ZoneZone, ClarisDrawGraphInternal::ZonePict, and ClarisDrawGraphInternal::ZoneShape.

virtual int ClarisDrawGraphInternal::Zone::getNumData | ( |  | ) | const
| inlinevirtual

return the number of data to define this zone in the file

Reimplemented in ClarisDrawGraphInternal::ZoneUnknown, ClarisDrawGraphInternal::ZoneZone, ClarisDrawGraphInternal::ZonePict, and ClarisDrawGraphInternal::ZoneShape.

virtual Type ClarisDrawGraphInternal::Zone::getSubType | ( |  | ) | const
| inlinevirtual

return the subtype

Reimplemented in ClarisDrawGraphInternal::ZoneUnknown, ClarisDrawGraphInternal::ZoneZone, ClarisDrawGraphInternal::ZonePict, and ClarisDrawGraphInternal::ZoneShape.

virtual Type ClarisDrawGraphInternal::Zone::getType | ( |  | ) | const
| inlinevirtual

return the main type

Reimplemented in ClarisDrawGraphInternal::ZoneUnknown, ClarisDrawGraphInternal::ZoneZone, ClarisDrawGraphInternal::ZonePict, and ClarisDrawGraphInternal::ZoneShape.

virtual int ClarisDrawGraphInternal::Zone::getZoneId | ( |  | ) | const
| inlinevirtual

returns the id of the reference zone

Reimplemented in ClarisDrawGraphInternal::ZoneZone.

virtual void ClarisDrawGraphInternal::Zone::print | ( | std::ostream & |  | ) | const
| inlinevirtual

print the data contains

Reimplemented in ClarisDrawGraphInternal::ZoneUnknown, ClarisDrawGraphInternal::ZoneZone, ClarisDrawGraphInternal::ZonePict, and ClarisDrawGraphInternal::ZoneShape.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWBox2f ClarisDrawGraphInternal::Zone::m_box

the bdbox

Referenced by ClarisDrawGraph::readGroupDef(), and ClarisDrawGraph::readShape().

int ClarisDrawGraphInternal::Zone::m_flag

the zone main flag

Referenced by ClarisDrawGraph::readGroupDef().

int ClarisDrawGraphInternal::Zone::m_ordering

the ordering

Referenced by ClarisDrawGraph::readGroupDef().

int ClarisDrawGraphInternal::Zone::m_page

the page (checkme: or frame linked )

Style ClarisDrawGraphInternal::Zone::m_style

the style

Referenced by ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::readShape(), and ClarisDrawGraph::sendShape().

int ClarisDrawGraphInternal::Zone::m_zoneType

the zone type

Referenced by ClarisDrawGraph::readGroupDef(), and ClarisDrawGraph::readShape().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx